# Display query

A decision block that queries connected displays.

If the proceed option is set to Immediately, then query the currently connected displays without pausing the fiber. If set to When changed, then the fiber will pause until a display was connected, unconnected, or its properties (name) changed.

The arrays assigned to Device ids and Display names are of equal length, in no particular order. The default, primary, display always has an id of `0` (zero), assuming there is one.

Note! This feature requires Android 4.2+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Device name — name of displays to include, may contain glob pattern, default is any name.
- Flags — flags of displays to include, default is any flags.
- Connection — the way the device must be connected to the display to be included, default is any kind of connection. (Android 12+)

## Output variables

- Device ids — variable to assign an array of display ids.
- Device names — variable to assign an array of display names.